GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/rust-lang.h File Reference

Go to the source code of this file.

## Functions
int | rust_parse (struct parser_state *)
void | rustyyerror (const char *)
bool | rust_tuple_type_p (struct type *type)
bool | rust_tuple_struct_type_p (struct type *type)
std::string | rust_crate_for_block (const struct block *block)
struct type * | rust_slice_type (const char *name, struct type *elt_type, struct type *usize_type)

## Function Documentation

## ◆ rust_crate_for_block()

std::string rust_crate_for_block | ( | const struct block * | block | ) |

Definition at line 56 of file rust-lang.c.

References block_scope(), cp_find_first_component(), and string.

Referenced by crate_name().

## ◆ rust_parse()

int rust_parse | ( | struct parser_state * |  | ) |

Definition at line 4410 of file rust-exp.c.

References convert_ast_to_expression(), parse_completion, and rust_parser::rust_ast.

## ◆ rust_slice_type()

struct type* rust_slice_type | ( | const char * | name,
|  | struct type * | elt_type,
|  | struct type * | usize_type
| ) |  |

Definition at line 1195 of file rust-lang.c.

References lookup_pointer_type(), name, rust_composite_type(), and type.

Referenced by convert_ast_to_type(), rust_language_arch_info(), and rust_subscript().

## ◆ rust_tuple_struct_type_p()

bool rust_tuple_struct_type_p | ( | struct type * | type | ) |

Definition at line 320 of file rust-lang.c.

References rust_underscore_fields(), and TYPE_NFIELDS.

Referenced by convert_ast_to_expression(), rust_evaluate_subexp(), rust_print_struct_def(), rust_print_type(), rust_val_print(), and val_print_struct().

## ◆ rust_tuple_type_p()

bool rust_tuple_type_p | ( | struct type * | type | ) |

Definition at line 274 of file rust-lang.c.

References TYPE_CODE, TYPE_CODE_STRUCT, and TYPE_TAG_NAME.

Referenced by convert_ast_to_expression(), rust_evaluate_funcall(), rust_print_struct_def(), and val_print_struct().

## ◆ rustyyerror()

void rustyyerror | ( | const char * |  | ) |

Definition at line 4429 of file rust-exp.c.

References _, error(), lexptr, and prev_lexptr.